Bug 420431 - Review Request: gkrellm-top - GKrellM plugin which shows 3 most CPU intensive processes
Summary: Review Request: gkrellm-top - GKrellM plugin which shows 3 most CPU intensive...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 422691
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-11 20:27 UTC by Robert Scheck
Modified: 2007-12-15 13:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 09:12:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robert Scheck 2007-12-11 20:27:13 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/gkrellm-top.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/gkrellm-top-2.2.10-1.src.rpm
Description: A GKrellM plugin which displays the top three CPU intensive
processes in a small window inside GKrellM, similar to wmtop. Useful to
check out anytime what processes are consuming most CPU power on your machine.

Comment 1 Parag AN(पराग) 2007-12-12 09:03:26 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
9699f4068a63202643b15a75232e69d8  gkrelltop_2.2.10.orig.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
- License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct but good to have it as defattr(-,root,root,-)
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package gkrellm-top-2.2.10-1.fc9
  Provides: gkrelltop.so gkrelltopd.so
  Requires: gkrellm >= 2.2.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libglib-2.0.so.0 

APPROVED.


Comment 2 Robert Scheck 2007-12-12 19:19:56 UTC
New Package CVS Request
=======================
Package Name: gkrellm-top
Short Description: GKrellM plugin which shows 3 most CPU intensive processes
Owners: robert
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: no

Comment 3 Kevin Fenzi 2007-12-12 19:37:42 UTC
cvs done.

Comment 4 Robert Scheck 2007-12-12 23:38:05 UTC
37407 (gkrellm-top): Build on target fedora-5-epel succeeded.

Package: gkrellm-top-2.2.10-1.fc7 Tag: dist-fc7-updates-candidate Status: complete
Package: gkrellm-top-2.2.10-1.fc8 Tag: dist-f8-updates-candidate Status: complete
Package: gkrellm-top-2.2.10-1.fc9 Tag: dist-f9 Status: complete

Comment 5 Parag AN(पराग) 2007-12-15 09:12:39 UTC
Package already built for all requested branches. Therefore, closing this review
now.

Comment 6 Robert Scheck 2007-12-15 13:05:49 UTC
EL-4 was not build, because of the dependency.

Comment 7 Parag AN(पराग) 2007-12-15 13:14:42 UTC
ohh. I missed to check that. If you want to keep this review open feel free to
reopen this.


Note You need to log in before you can comment on or make changes to this bug.